<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8" />
    <title>Organization Structure</title>

    <!-- If there's must have plugin put here -->
    <link rel="stylesheet" th:href="@{assets/vendors/select2/select2.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2-bootstrap-theme/select2-bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{assets/css/customCss/tree.css}">
    <!-- for organization structure chart -->
    <link rel="stylesheet" th:href="@{assets/orgChart/css/jquery.orgchart.css}">
    <!-- end organization structure chart -->

    <!-- end -->
    <div th:replace="fragments/side-menu-header :: css-side"></div>

</head>

<body>
    <div class="container-scroller">
        <!-- partial:../../partials/_navbar.html -->
        <nav th:replace="fragments/side-menu-header :: navbar"></nav>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:../../partials/_sidebar.html -->
            <nav th:replace="fragments/side-menu-menu :: sidebar"></nav>
            <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">
                    <div class="page-header">
                        <h3 class="page-title"> Organization Structure </h3>
                        <nav aria-label="breadcrumb">
                          <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Organization Structure</li>
                          </ol>
                        </nav>
                    </div>

                    <div class="card">
                        <div class="card-body">
                            <div class="card-title card-head">
                                <div class="row">
                                    <div class="col-sm-4">
                                        <h4 class="custom-title">Organization Structure Add</h4>
                                    </div>
                                    <div class="col-sm-8 text-right">
                                        <a href="#" title="View Chart" class="btn btn-sm btn-info" data-toggle="modal" data-target="#exampleModal-4" data-whatever="@mdo">
                                            <i class="fa fa-sitemap"></i> View Chart
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <hr class="title-line">
                            <div class="modal fade" id="exampleModal-4" tabindex="-1" role="dialog" aria-labelledby="ModalLabel" aria-hidden="true">
                                <div class="modal-dialog modal-lg" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="ModalLabel">Organization Structure</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <div id="chart-container"></div>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-success">Send message</button>
                                            <button type="button" class="btn btn-light" data-dismiss="modal">Close</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="row">
                                <div class="col-md-6 form-sample">
                                    <form>
                                        <div class="form-group">
                                            <label>Organization Name</label>
                                            <input type="text" class="form-control" name="regionalNumber" id="regNumber">
                                        </div>
            
                                        <div class="form-group">
                                            <label>Parent ID</label>
                                            <select class="js-example-basic-single" style="width:100%">
                                                <option value="AL">Select Parent</option>
                                            </select>
                                        </div>
                                        
                                        <button type="submit" class="btn btn-sm btn-outline-primary btn-fw col-sm-5">
                                            <i class="fa fa-save"></i> Save
                                        </button>
                                    </form>
                                </div>
                                
                                <!-- Modal for edit -->
                                <div class="modal fade" id="exampleModal-2" tabindex="-1" role="dialog" aria-labelledby="ModalLabel" aria-hidden="true">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="ModalLabel">Edit Organization Structure</h5>
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <form>
                                                    <div class="form-group">
                                                        <label>Organization Name</label>
                                                        <input type="text" class="form-control" name="regionalNumber" id="regNumber">
                                                    </div>
                        
                                                    <div class="form-group">
                                                        <label>Parent ID</label>
                                                        <select class="js-example-basic-single" style="width:100%">
                                                            <option value="AL">Select Parent</option>
                                                        </select>
                                                    </div>
                                                </form>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="submit" class="btn btn-sm btn-outline-primary btn-fw col-sm-5"><i class="fa fa-save"></i> Save</button>
                                                <button type="button" class="btn btn-sm btn-outline-light btn-fw col-sm-5" data-dismiss="modal">Close</button>
                                            </div>
                                      </div>
                                    </div>
                                </div>
                                <!-- End modal for edit -->

                                <div class="col-md-6 tree scrollmenu">
                                    <!-- <ul> // Dokumetasi ini
                                        <li><div>Alumni dan Perencanaan Karir<a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                        <li><div>Audit Internal<a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                        <li><div>Badan Pelaksana Harian Yayasan<a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                        <li><div>Bagian Keuangan dan Administrasi Badan Pelaksana Harian Yayasan <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div>
                                            <ul>
                                                <li><div>Level 2 <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                                <li><div>Level 2 <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div>
                                                <ul>
                                                    <li><div>Level 3 <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                                    <li><div>Level 3 <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                                </ul>
                                                </li>
                                            </ul>
                                        </li>
                                        <li><div>Level 1 <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                    </ul> -->

                                    <ul>
                                        <li><div>Alumni dan Perencanaan Karir <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                        <li><div>Audit Internal <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                        <li><div>Badan Pelaksana Harian Yayasan <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                        <li><div>Bagian Keuangan dan Administrasi Badan Pelaksana Harian Yayasan <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div>
                                            <ul>
                                                <li><div>Asrama <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                            </ul>
                                        </li>
                                        <li><div>Dekan Fakultas <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                        <li><div>Hubungan Industri <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                        <li><div>Hubungan Masyarakat <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                        <li><div>Kemahasiswaan dan Alumni <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                        <li><div>Keuangan <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                        <li><div>Komite Disiplin <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                        <li><div>Lembaga Penelitian dan Pengabdian Masyarakat <a href="#" title="edit" data-toggle="modal" data-target="#exampleModal-2" data-whatever="@mdo"><span class="fa fa-pencil-square-o"></span></a> <a href="#" title="delete" onclick="showSwal('warning-message-and-cancel')"><span class="fa fa-trash-o"></span></a></div></li>
                                    </ul>
                                </div>
                            </div>
            
                        </div>
                    </div>
                </div>
                <!-- content-wrapper ends -->
                <!-- partial:../../partials/_footer.html -->
                <footer th:replace="fragments/side-menu-footer :: footer"></footer>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    
    <div th:replace="fragments/side-menu-footer :: js"></div>

    <!-- Plugin js for this page -->
    <script th:src="@{assets/vendors/select2/select2.min.js}"></script>
    <script th:src="@{assets/vendors/sweetalert/sweetalert.min.js}"></script>
    <script th:src="@{assets/vendors/jquery.avgrund/jquery.avgrund.min.js}"></script>
    
    <script th:src="@{assets/js/select2.js}"></script>
    <script th:src="@{assets/js/alerts.js}"></script>
    <script th:src="@{assets/js/avgrund.js}"></script>
    <!-- End custom js for this page -->

    <!-- for organization structure plugin -->
    <script th:src="@{assets/js/modal-demo.js}"></script>
    <script th:src="@{assets/orgChart/js/html2canvas.js}"></script>
    <script th:src="@{assets/orgChart/js/jquery.orgchart.js}"></script>
    <script>
        var datascource = {
            'id': 'rootNode', // It's a optional property which will be used as id attribute of node
            // and data-parent attribute, which contains the id of the parent node
            'collapsed': true, // By default, the children nodes of current node is hidden.
            'className': 'top-level', // It's a optional property which will be used as className attribute of node.
            'content': 'Lao Lao',
            'title': 'general manager',
            //'relationship': relationshipValue, // Note: when you activate ondemand loading nodes feature,
            // you should use json datsource (local or remote) and set this property.
            // This property implies that whether this node has parent node, siblings nodes or children nodes.
            // relationshipValue is a string composed of three "0/1" identifier.
            // First character stands for wether current node has parent node;
            // Scond character stands for wether current node has siblings nodes;
            // Third character stands for wether current node has children node.
            'children': [ // The property stands for nested nodes.
                { 'content': 'Bo Miao', 'title': 'department manager', 'relationship': '110' },
                { 'content': 'Su Miao', 'title': 'department manager', 'relationship': '111',
                'children': [
                    { 'content': 'Tie Hua', 'title': 'senior engineer', 'relationship': '110' },
                    { 'content': 'Hei Hei', 'title': 'senior engineer', 'relationship': '110' }
                ]
                },
                { 'content': 'Yu Jie', 'title': 'department manager', 'relationship': '110' }
            ]
            //'otherPro': anyValue
        };

        $('#chart-container').orgchart({
            'data' : datascource,
            'depth': 2,
            'nodeTitle': 'title',
            'nodeContent': 'content'
        });

        // if load data from a remote json file via ajax request use this
        // $('#chart-container').orgchart({
        //     'data' : '/path/to/your/data',
        //     'visibleLevel': 2,
        //     'nodeTitle': 'name',
        //     'nodeContent': 'title'
        // });
    </script>
    <!-- end organization structure plugin -->
</body>

</html>